C mpi_fake.f contains dummy subroutines that take the place 
C of 
C    SUBROUTINE COLSUM
C    SUBROUTINE SHARE1
C    SUBROUTINE SHARE2
C    SUBROUTINE MPI_INIT
C    SUBROUTINE MPI_COMM_RANK
C    SUBROUTINE MPI_COMM_SIZE
C    SUBROUTINE MPI_FINALIZE
C which are called when MPI is being used.
C These dummy routines do nothing when MPI is not being used.
C
      SUBROUTINE COLSUM(IORTH,MYID,MXSCA,NSCAT,
     &           QSCSUM,QABSUM,QEXSUM,QBKSUM,QPHSUM,
     &           QSCG2SUM,QSCGSUM,QTRQABSUM,QTRQSCSUM,
     &           S1111,S2121,CX1121,SMORI)
      IMPLICIT NONE
c arguments:
      INTEGER IORTH,MXSCA,NSCAT,MYID
      REAL
     &   QABSUM(IORTH),
     &   QBKSUM(IORTH),
     &   QEXSUM(IORTH),
     &   QPHSUM(IORTH),
     &   QSCG2SUM(IORTH),
     &   QSCGSUM(3,IORTH),
     &   QSCSUM(IORTH),
     &   QTRQABSUM(3,IORTH),
     &   QTRQSCSUM(3,IORTH),
     &   S1111(MXSCA),
     &   S2121(MXSCA),
     &   SMORI(MXSCA,4,4)
      COMPLEX CX1121(MXSCA)
c-----------------------------------------------------------------------
      RETURN
      END

      SUBROUTINE SHARE1(
     &     A1,A2,AEFFA,BETA,
     &     BETMID,BETMXD,
     &     CALPHA,CBINFLAG,CDESCR,CDIEL,
     &     CFLEPS,CMDFFT,CMDSOL,CMDTRQ,
     &     CNETFLAG,CSHAPE,CXE01,CXE02,
     &     DX,ENSC,EM1,EM2,ETASCA,
     &     ICOMP,IDVERR,IDVOUT,ILIN10,
     &     ILIN12,INIT,IOBIN,IOCC,IORI0,IORTH,
     &     IRAD0,IWAV0,IWRKSC,IXYZ0,
     &     MXBETA,MXCOMP,MXN3,MXNAT,
     &     MXPHI,MXRAD,MXSCA,MXTHET,MXWAV,
     &     NAT,NAT0,NAT3,NBETA,NBETH,NCOMP,NORI,NPHI,
     &     NRAD,NSCAT,NSMELTS,NTHETA,NWAV,NX,NY,NZ,
     &     PHI,PHIMID,PHIMXD,PHIN,
     &     SHPAR,SMIND1,SMIND2,THETA,THETAN,
     &     THTMID,THTMXD,TOL,
     &     WAVEA,WGTA,WGTB)
      IMPLICIT NONE
c arguments
      INTEGER MXNAT,MXN3,MXBETA,MXCOMP,
     &     MXPHI,MXRAD,MXSCA,MXTHET,MXWAV
      CHARACTER CBINFLAG*(*),CNETFLAG*(*),CALPHA*6,CDIEL*6,
     &     CMDSOL*6,CMDTRQ*6,CMDFFT*6,
     &     CSHAPE*6,CDESCR*67
      CHARACTER*60 CFLEPS(MXCOMP)
      INTEGER IDVERR,IDVOUT,ILIN10,ILIN12,INIT,IOBIN,IORTH,IORI0,
     &     IRAD0,IWAV0,IWRKSC,
     &     NAT,NAT0,NAT3,NBETA,NBETH,NCOMP,NORI,NPHI,NRAD,NSCAT,
     &     NSMELTS,NTHETA,NWAV,NX,NY,NZ
      INTEGER*2 
     &   ICOMP(MXN3),
     &   IXYZ0(MXNAT,3),
     &   IOCC(MXNAT)
      INTEGER
     &   SMIND1(9),
     &   SMIND2(9)
      REAL BETMID,BETMXD,ETASCA,PHIMID,PHIMXD,THTMID,THTMXD,TOL
      REAL 
     &   A1(3),
     &   A2(3),
     &   AEFFA(MXRAD),
     &   BETA(MXBETA),
     &   DX(3),
     &   EM1(3,MXSCA),
     &   EM2(3,MXSCA),
     &   ENSC(3,MXSCA),
     &   PHI(MXPHI),
     &   PHIN(MXSCA),
     &   SHPAR(6),
     &   THETA(MXTHET),
     &   THETAN(MXSCA),
     &   WAVEA(MXWAV),
     &   WGTA(MXTHET,MXPHI),
     &   WGTB(MXBETA)
      COMPLEX CXE01(3),CXE02(3)
c-----------------------------------------------------------------------
      RETURN
      END

c=======================================================================

      SUBROUTINE SHARE2(MXCOMP,MXWAVT,CXEPS,E1A,E2A,WVA)
      IMPLICIT NONE
c arguments:
      INTEGER MXCOMP,MXWAVT,IERR
      REAL 
     &   E1A(MXWAVT),
     &   E2A(MXWAVT),
     &   WVA(MXWAVT)
      COMPLEX
     &   CXEPS(MXCOMP)
c-----------------------------------------------------------------------
      RETURN
      END

c=======================================================================

      SUBROUTINE MPI_INIT(IERR)
      IMPLICIT NONE
      INTEGER IERR
c-----------------------------------------------------------------------
      IERR=0
      RETURN
      END

c=======================================================================

      SUBROUTINE MPI_COMM_RANK(MPI_COMM_WORLD,MYID,IERR)
      IMPLICIT NONE
      INTEGER IERR,MPI_COMM_WORLD,MYID
c-----------------------------------------------------------------------
      MYID=0
      RETURN
      END

c=======================================================================

      SUBROUTINE MPI_COMM_SIZE(MPI_COMM_WORLD,NUMPROCS,IERR)
      IMPLICIT NONE
      INTEGER IERR,MPI_COMM_WORLD,NUMPROCS
c-----------------------------------------------------------------------
      NUMPROCS=1
      RETURN
      END

c=======================================================================

      SUBROUTINE MPI_FINALIZE(IERR)
      IMPLICIT NONE
c arguments:
      INTEGER IERR
c-----------------------------------------------------------------------
      IERR=0
      RETURN
      END
